Bug 1781205 - XML::LibXSLT appears to suffer from latent libxml2's API misuse, only got exposed with libxml2 2.9.10
Summary: XML::LibXSLT appears to suffer from latent libxml2's API misuse, only got exp...
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: perl-XML-LibXSLT
Version: 32
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Jitka Plesnikova
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 1776552
TreeView+ depends on / blocked
 
Reported: 2019-12-09 14:28 UTC by Jan Pokorný [poki]
Modified: 2021-05-25 15:13 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-05-25 15:13:11 UTC
Type: Bug


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
CPAN 131146 0 None None None 2019-12-09 14:38:59 UTC
Github shlomif perl-XML-LibXSLT issues 2 0 'None' open Test t/10functions.t fails in 32bit archs since libxml2-2.9.10 2021-01-28 06:56:15 UTC

Description Jan Pokorný [poki] 2019-12-09 14:28:28 UTC
This is a mirror copy of an upstream report:
https://rt.cpan.org/Public/Bug/Display.html?id=131146

It is supposed to be the root cause of FTBFS for publican and pacemaker
with some architectures like i686:

- publican [bug 1777056]

- pacemaker, which triggered this whole investigation [bug 1776552]

There's already a parallel request to include upstream patch to libxml2
as a quick fix for those FTBFS, _however_ that is _not_ a systemic fix
for a latent breakage for XML::LibXSLT stemming from misuse of
libxml2's API -- it shall rather be fixed in the first place.

Comment 1 Ben Cotton 2020-02-11 17:41:35 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 32 development cycle.
Changing version to 32.

Comment 2 Fedora Program Management 2021-04-29 16:00:49 UTC
This message is a reminder that Fedora 32 is nearing its end of life.
Fedora will stop maintaining and issuing updates for Fedora 32 on 2021-05-25.
It is Fedora's policy to close all bug reports from releases that are no longer
maintained. At that time this bug will be closed as EOL if it remains open with a
Fedora 'version' of '32'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 32 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 3 Ben Cotton 2021-05-25 15:13:11 UTC
Fedora 32 changed to end-of-life (EOL) status on 2021-05-25. Fedora 32 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.